/* ---- Button ---- */

/* --- Input-btn --- */

.input-group {
    position: relative;
    padding-bottom: 1rem;
}

.input-group input:focus {
    transform: scale(1.1);
}

.input-group input {
    width: 100%;
    border: none;
    border-bottom: 3px solid var(--text-clr);
    outline: none;
    background: transparent;
    color: var(--text-clr);
    font-size: clamp(0.8rem, 1.2vw, 1.25rem);
    padding: 16px 0 8px;
    transition: all 0.2s ease;
}

.input-group label .material-symbols-outlined {
    font-size: 1rem;
}

.input-group label {
    position: absolute;
    left: 0;
    top: 16px;
    color: var(--secondary-text-clr);
    font-size: 0.9rem;
    pointer-events: none;
    transition: all 0.2s ease;
    gap: 0.3rem;
}

.input-group input:focus+label,
.input-group input:not(:placeholder-shown)+label {
    top: -8px;
    font-size: 16px;
    font-weight: 600;
    color: var(--secondary-text-clr);
}

.input-group-row {
    gap: 1rem;
}

.input-group.plz {
    flex: 0 0 35%;
}

.input-group.ort {
    flex: 1;
}

.user-label {
    padding: 0.3rem 0.6rem;
    border-radius: 999px;
    background-color: blanchedalmond;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
    margin-left: 1rem;
}

.status {
    display: flex;
    gap: 4px;
    justify-content: center;
    align-items: center;
    border-radius: 999px;
    border: 1px solid orange;
    background: none;
    color: var(--text-clr);
    padding: 0.2rem 0.8rem;
    margin-right: 1rem;
}

.status .material-symbols-outlined {
    color: orange;
}

.status.erledigt .material-symbols-outlined {
    color: green;
}

.status.demolition .material-symbols-outlined {
    color: red;
}

.status.erledigt {
    border: 1px solid green;
    padding: 0.2rem 0.2rem;
}

.status.demolition {
    border: 1px solid red;
    padding: 0.2rem 0.2rem;
}

.icon-box {
    width: 35px;
    height: 35px;
    background-color: var(--icon-box-color);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 6px;
}